Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui
Class UIProviderRegistryImpl

    java.lang.Object
      org.eclipse.net4j.util.event.Notifier
          org.eclipse.net4j.util.lifecycle.Lifecycle
              org.eclipse.emf.ecp.internal.core.util.Registry<ELEMENT,OBSERVER>
                  org.eclipse.emf.ecp.internal.core.util.ElementRegistry<UIProvider,ECPObserver>
                      org.eclipse.emf.ecp.internal.ui.UIProviderRegistryImpl

All Implemented Interfaces:
  ECPDisposable.DisposeListener, UIProviderRegistry, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation

    public final class UIProviderRegistryImpl

extends ElementRegistry<UIProvider,ECPObserver>
implements UIProviderRegistry

Author:
  Eike Stepper, Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Field Summary
`static UIProviderRegistryImpl` | `INSTANCE` This is the Instance used by the `UIProviderRegistry` for providing its instance.

Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`USE_LABEL`

Method Summary
`UIProvider` | `getUIProvider(Object adaptable)` It the adaptable is ECPProviderAware then the `UIProvider` that corresponds to the `ECPProvider` is returned.
`UIProvider` | `getUIProvider(String name)` Returns the `UIProvider` by its name.
`Collection<UIProvider>` | `getUIProviders()` Returns all known `UIProvider`.
`boolean` | `hasUIProviders()` Whether any `UIProvider` are registered.

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.ElementRegistry
`addResolveListener, removeResolveListener`

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.Registry
`addObserver, changeElements, disposed, getElement, getElementCount, getElementNames, getElements, hasElement, hasElements, removeObserver`

Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`activate, deactivate, getLifecycleState, isActive, isDeferredActivation, toString`

Methods inherited from class org.eclipse.net4j.util.event.Notifier
`addListener, fireEvent, fireEvent, fireEvent, getListeners, hasListeners, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, getListeners, hasListeners, removeListener`

Field Detail

### INSTANCE

    public static final UIProviderRegistryImpl INSTANCE

  This is the Instance used by the `UIProviderRegistry` for providing its instance.

Method Detail

### getUIProvider

    public UIProvider getUIProvider(Object adaptable)

  It the adaptable is ECPProviderAware then the `UIProvider` that corresponds to the `ECPProvider` is returned. Otherwise the AdapterUtil tries to resolve this.

  Specified by:
    `getUIProvider` in interface `UIProviderRegistry`
  Parameters:
    `adaptable` - the Object to adapt
  Returns:
    the `UIProvider` or null if none was found

### getUIProvider

    public UIProvider getUIProvider(String name)

  Returns the `UIProvider` by its name.

  Specified by:
    `getUIProvider` in interface `UIProviderRegistry`
  Parameters:
    `name` - the name of the ui provider
  Returns:
    the `UIProvider` or null if none was found

### getUIProviders

    public Collection<UIProvider> getUIProviders()

  Returns all known `UIProvider`.

  Specified by:
    `getUIProviders` in interface `UIProviderRegistry`
  Returns:
    the array containing all known `UIProvider`

### hasUIProviders

    public boolean hasUIProviders()

  Whether any `UIProvider` are registered.

  Specified by:
    `hasUIProviders` in interface `UIProviderRegistry`
  Returns:
    true if at least one `UIProvider` is registered, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.